/* global wenCommerceColorMain, Color */
/**
 * Add a listener to the Color Scheme control to update other color controls to new values/defaults.
 * Also trigger an update of the Color Scheme CSS when a color is changed.
 */

( function( api ) {
	var colorScheme  = wenCommerceColorMain.colorScheme;
	var colorOptions = wenCommerceColorMain.colorOptions;

	api.controlConstructor.select = api.Control.extend( {
		ready: function() {
			if ( 'color_scheme' === this.id ) {
				this.setting.bind( 'change', function( value ) {
					var colors = colorScheme[value].colors;

					jQuery.each( colorOptions, function( index, value ) {
					api( value ).set( colors[value] );
						api.control( value ).container.find( '.color-picker-hex' )
							.data( 'data-default-color', colors[value] )
                            .wpColorPicker( 'defaultColor', colors[value] );
					});
				} );
			}
		}
	} );
} )( wp.customize );
