/* global wenCommerceOptions */
 /*
 * Custom scripts
 * Description: Custom scripts for wen_commerce
 */
( function( $ ) {
	jQuery( document ).ready( function() {
		body = jQuery( document.body );
		jQuery( window )
			.on( 'load.wenCommerce resize.wenCommerce', function() {
			if ( window.innerWidth < 1200 ) {
				jQuery('#site-header-menu .menu-inside-wrapper').on('focusout', function () {
					var $elem = jQuery(this);
					// let the browser set focus on the newly clicked elem before check
				    setTimeout(function () {
				    	if ( ! $elem.find(':focus').length ) {
				    		jQuery( '#site-header-menu #menu-toggle-mobile' ).trigger('click');
				        }
				    }, 0);
				});
			}

			if ( window.innerWidth > 768 ) {
				jQuery('#primary-search-wrapper .menu-inside-wrapper').on('focusout', function () {
					var $elem = jQuery(this);

				    // let the browser set focus on the newly clicked elem before check
				    setTimeout(function () {
				        if ( ! $elem.find(':focus').length ) {
				            jQuery( '#social-search-toggle' ).trigger( 'click' );
				        }
				    }, 0);
				});

				jQuery('#social-menu-wrapper .menu-inside-wrapper').on('focusout', function () {
					var $elem = jQuery(this);

				    // let the browser set focus on the newly clicked elem before check
				    setTimeout(function () {
				        if ( ! $elem.find(':focus').length ) {
				            jQuery( '#social-menu-wrapper .menu-toggle' ).trigger('click');
				        }
				    }, 0);
				});
			}
		} );
	});

	// Owl Carousel
	if ( typeof $.fn.owlCarousel === "function" ) {
		// Featured Slider
		var sliderOptions = {
			rtl:wenCommerceOptions.rtl ? true : false,
			autoHeight:true,
			margin: 0,
			items: 1,
			nav: ! ( wenCommerceOptions.sliderOptions.nav == 1 ),
			dots: ! ( wenCommerceOptions.sliderOptions.dots == 1 ),
			autoplay: ! ( wenCommerceOptions.sliderOptions.autoplay == 1 ),
			autoplayTimeout: parseInt( wenCommerceOptions.sliderOptions.transitionTimeout ) * 1000,
			loop: ! ( wenCommerceOptions.sliderOptions.loop == 1 ),
			navText: [wenCommerceOptions.iconNavPrev,wenCommerceOptions.iconNavNext]
		};

		// Only add if default value is not selected.
		if ( 'default' != wenCommerceOptions.sliderOptions.transitionOut ) {
			sliderOptions.animateOut = wenCommerceOptions.sliderOptions.transitionOut;
		}

		// Only add if default value is not selected.
		if ( 'default' != wenCommerceOptions.sliderOptions.transitionIn ) {
			sliderOptions.animateIn = wenCommerceOptions.sliderOptions.transitionIn;
		}

		$(".main-slider").owlCarousel(sliderOptions);

		// Scrolling Section
		var logoSliderLayout = parseInt( wenCommerceOptions.logoSliderOptions.layout );
		var logoSliderOptions = {
			rtl:wenCommerceOptions.rtl ? true : false,
			autoHeight:true,
			margin: 40,
			items: parseInt( wenCommerceOptions.logoSliderOptions.layout ),
			nav: ! ( wenCommerceOptions.logoSliderOptions.nav == 1 ),
			dots: ! ( wenCommerceOptions.logoSliderOptions.dots == 1 ),
			autoplay: ! ( wenCommerceOptions.logoSliderOptions.autoplay == 1 ),
			autoplayTimeout: parseInt( wenCommerceOptions.logoSliderOptions.transitionTimeout ) * 1000,
			loop: ! ( wenCommerceOptions.logoSliderOptions.loop == 1 ),
			responsive:{
				0:{
					items:1
				},
				640:{
					items:( logoSliderLayout < 2 ) ? logoSliderLayout : 2
				},
				640:{
					items:( logoSliderLayout < 3 ) ? logoSliderLayout : 3
				},
				1024:{
					items:( logoSliderLayout < 4 ) ? logoSliderLayout : 4
				},
				1120:{
					items:( logoSliderLayout < 5 ) ? logoSliderLayout : 5
				}
			},
			navText: [wenCommerceOptions.iconNavPrev,wenCommerceOptions.iconNavNext]
		};

		// Only add if default value is not selected.
		if ( 'default' != wenCommerceOptions.logoSliderOptions.transitionOut ) {
			logoSliderOptions.animateOut = wenCommerceOptions.logoSliderOptions.transitionOut;
		}

		// Only add if default value is not selected.
		if ( 'default' != wenCommerceOptions.logoSliderOptions.transitionIn ) {
			logoSliderOptions.animateIn = wenCommerceOptions.logoSliderOptions.transitionIn;
		}

		$(".wen-commerce-logo-slider-content-wrapper").owlCarousel(logoSliderOptions);

		// Testimonial Section
		var testimonialLayout = parseInt( wenCommerceOptions.testimonialOptions.layout );
		var testimonialOptions = {
			rtl:wenCommerceOptions.rtl ? true : false,
			autoHeight: true,
			margin: 0,
			items: 1,
			nav: ! ( wenCommerceOptions.testimonialOptions.nav == 1 ),
			dots: ! ( wenCommerceOptions.testimonialOptions.dots == 1 ),
			autoplay: ! ( wenCommerceOptions.testimonialOptions.autoplay == 1 ),
			autoplayTimeout: parseInt( wenCommerceOptions.testimonialOptions.transitionTimeout ) * 1000,
			loop: ! ( wenCommerceOptions.testimonialOptions.loop == 1 ),
			responsive:{
				0:{
					items:1
				},
				668:{
					items:( testimonialLayout < 2 ) ? testimonialLayout : 2
				}
			},
			navText: [wenCommerceOptions.iconNavPrev,wenCommerceOptions.iconNavNext]
		};

	   // Only add if default value is not selected.
		if ( 'default' != wenCommerceOptions.testimonialOptions.transitionOut ) {
			testimonialOptions.animateOut = wenCommerceOptions.testimonialOptions.transitionOut;
		}

		// Only add if default value is not selected.
		if ( 'default' != wenCommerceOptions.testimonialOptions.transitionIn ) {
			testimonialOptions.animateIn = wenCommerceOptions.testimonialOptions.transitionIn;
		}

		$( '.testimonial-slider' ).owlCarousel(testimonialOptions);

		// Product Reviews Section
		var productreviewLayout = parseInt( wenCommerceOptions.productreviewOptions.layout );
		var productreviewOptions = {
			rtl:wenCommerceOptions.rtl ? true : false,
			autoHeight: true,
			margin: 0,
			items: parseInt( wenCommerceOptions.productreviewOptions.layout ),
			autoplayHoverPause: true,
			nav: true,
			dots: false,
			autoplay: true,
			autoplayTimeout: 4000,
			loop: false,
			rewind: true,
			responsive:{
				0:{
					items:1
				},
				640:{
					items:( productreviewLayout < 2 ) ? productreviewLayout : 2
				}
			},
			navText: [wenCommerceOptions.iconNavPrev,wenCommerceOptions.iconNavNext]
		};

		$( '.product-review-slider' ).owlCarousel(productreviewOptions);
	}

	$( function() {

		// Functionality for scroll to top button
		$(window).on( 'scroll', function () {
			if ( $( this ).scrollTop() > 100 ) {
				$( '#scrollup' ).fadeIn('slow');
				$( '#scrollup' ).show();
			} else {
				$('#scrollup').fadeOut('slow');
				$("#scrollup").hide();
			}
		});

		$( '#scrollup' ).on( 'click', function () {
			$( 'body, html' ).animate({
				scrollTop: 0
			}, 500 );
			return false;
		});

		// Fit Vid load
		if ( typeof $.fn.fitVids === "function" ) {
			$('.hentry, .widget').fitVids();
		}
	});

	//Light Box for videos section
	if ( typeof $.fn.flashy === "function" ) {
		$('.mixed').flashy({
			gallery: false,
		});
	}

	// Add header video class after the video is loaded.
	$( document ).on( 'wp-custom-header-video-loaded', function() {
		$( 'body' ).addClass( 'has-header-video' );
	});

	/*
	 * Test if inline SVGs are supported.
	 * @link https://github.com/Modernizr/Modernizr/
	 */
	function supportsInlineSVG() {
		var div = document.createElement( 'div' );
		div.innerHTML = '<svg/>';
		return 'http://www.w3.org/2000/svg' === ( 'undefined' !== typeof SVGRect && div.firstChild && div.firstChild.namespaceURI );
	}

	$( function() {
		$( document ).ready( function() {
			if ( true === supportsInlineSVG() ) {
				document.documentElement.className = document.documentElement.className.replace( /(\s*)no-svg(\s*)/, '$1svg$2' );
			}
		});
	});

	$( '.search-toggle' ).on( 'click', function() {
		$( this ).toggleClass( 'open' );
		$( this ).attr( 'aria-expanded', $( this ).attr( 'aria-expanded' ) === 'false' ? 'true' : 'false' );
		$(this).parents( '.search-wrapper' ).toggleClass( 'is-open' );
	});

	$( '.share-toggle' ).on( 'click', function() {
		$( this ).toggleClass( 'open' );
		$( this ).attr( 'aria-expanded', $( this ).attr( 'aria-expanded' ) === 'false' ? 'true' : 'false' );
		$(this).parents('.social-menu-wrapper').toggleClass( 'is-open' );
	});

	/* Menu */
	var body, masthead, menuToggle, siteNavigation, socialNavigation, siteHeaderMenu, resizeTimer;

	function initMainNavigation( container ) {

		// Add dropdown toggle that displays child menu items.
		var dropdownToggle = $( '<button />', { 'class': 'dropdown-toggle', 'aria-expanded': false })
			.append( wenCommerceOptions.screenReaderText.icon )
			.append( $( '<span />', { 'class': 'screen-reader-text', text: wenCommerceOptions.screenReaderText.expand }) );

		container.find( '.menu-item-has-children > a, .page_item_has_children > a' ).after( dropdownToggle );

		// Toggle buttons and submenu items with active children menu items.
		container.find( '.current-menu-ancestor > button' ).addClass( 'toggled-on' );
		container.find( '.current-menu-ancestor > .sub-menu' ).addClass( 'toggled-on' );

		// Add menu items with submenus to aria-haspopup="true".
		container.find( '.menu-item-has-children, .page_item_has_children' ).attr( 'aria-haspopup', 'true' );

		container.find( '.dropdown-toggle' ).on( 'click', function( e ) {
			var _this            = $( this ),
				screenReaderSpan = _this.find( '.screen-reader-text' );

			e.preventDefault();
			_this.toggleClass( 'toggled-on' );
			_this.next( '.children, .sub-menu' ).toggleClass( 'toggled-on' );

			// jscs:disable
			_this.attr( 'aria-expanded', _this.attr( 'aria-expanded' ) === 'false' ? 'true' : 'false' );
			// jscs:enable
			screenReaderSpan.text( screenReaderSpan.text() === wenCommerceOptions.screenReaderText.expand ? wenCommerceOptions.screenReaderText.collapse : wenCommerceOptions.screenReaderText.expand );
		} );
	}

	initMainNavigation( $( '.main-navigation' ) );

	masthead         = $( '#masthead' );
	menuToggle       = masthead.find( '#menu-toggle-mobile' );
	siteHeaderMenu   = masthead.find( '#site-header-menu' );
	siteNavigation   = masthead.find( '#site-navigation' );
	socialNavigation = masthead.find( '#social-navigation' );


	// Enable menuToggle.
	( function() {

		// Adds our overlay div.
		$( '.below-site-header' ).prepend( '<div class="overlay">' );

		// Assume the initial scroll position is 0.
		var scroll = 0;

		// Return early if menuToggle is missing.
		if ( ! menuToggle.length ) {
			return;
		}

		menuToggle.on( 'click.wen_commerce', function() {
			// jscs:disable
			$( this ).add( siteNavigation ).attr( 'aria-expanded', $( this ).add( siteNavigation ).attr( 'aria-expanded' ) === 'false' ? 'true' : 'false' );
			// jscs:enable
		} );


		// Add an initial values for the attribute.
		menuToggle.add( siteNavigation ).attr( 'aria-expanded', 'false' );
		menuToggle.add( socialNavigation ).attr( 'aria-expanded', 'false' );

		// Wait for a click on one of our menu toggles.
		menuToggle.on( 'click.wen_commerce', function() {

			// Assign this (the button that was clicked) to a variable.
			var button = this;

			// Gets the actual menu (parent of the button that was clicked).
			var menu = $( this ).parents( '.menu-wrapper' );

			// Remove selected classes from other menus.
			$( '.menu-toggle' ).not( button ).removeClass( 'selected' );
			$( '.menu-wrapper' ).not( menu ).removeClass( 'is-open' );

			// Toggle the selected classes for this menu.
			$( button ).toggleClass( 'selected' );
			$( menu ).toggleClass( 'is-open' );

			// Is the menu in an open state?
			var is_open = $( menu ).hasClass( 'is-open' );

			// If the menu is open and there wasn't a menu already open when clicking.
			if ( is_open && ! jQuery( 'body' ).hasClass( 'menu-open' ) ) {

				// Get the scroll position if we don't have one.
				if ( 0 === scroll ) {
					scroll = $( 'body' ).scrollTop();
				}

				// Add a custom body class.
				$( 'body' ).addClass( 'menu-open' );

			// If we're closing the menu.
			} else if ( ! is_open ) {

				$( 'body' ).removeClass( 'menu-open' );
				$( 'body' ).scrollTop( scroll );
				scroll = 0;
			}
		} );

		// Close menus when somewhere else in the document is clicked.
		$( document ).on( 'click touchstart', function() {
			$( 'body' ).removeClass( 'menu-open' );
			$( '.menu-toggle' ).removeClass( 'selected' );
			$( '.menu-wrapper' ).removeClass( 'is-open' );
		} );

		// Stop propagation if clicking inside of our main menu.
		$( '.site-header-menu,.menu-toggle, .dropdown-toggle, .search-field, #site-navigation, #social-search-wrapper, #social-navigation .search-submit' ).on( 'click touchstart', function( e ) {
			e.stopPropagation();
		} );
	} )();

	//For Header Top Menu
    menuToggleTop    = $( '#menu-toggle-top' ); // button id
    siteTopMenu       = $( '#site-header-top-menu' ); // wrapper id
    siteNavigationTop = $( '#site-top-navigation' ); // nav id
    initMainNavigation( siteNavigationTop );

    // Enable menuToggleTop.
    ( function() {
        // Return early if menuToggleTop is missing.
        if ( ! menuToggleTop.length ) {
            return;
        }

        // Add an initial values for the attribute.
        menuToggleTop.add( siteNavigationTop ).attr( 'aria-expanded', 'false' );


        menuToggleTop.on( 'click', function(e) {
        	$( this ).add( siteTopMenu ).toggleClass( 'toggled-on' );

            // jscs:disable
            $( this ).add( siteNavigationTop ).attr( 'aria-expanded', $( this ).add( siteNavigationTop ).attr( 'aria-expanded' ) === 'false' ? 'true' : 'false' );
            // jscs:enable

            e.preventDefault();
        } );
    } )();

    // Fix sub-menus for touch devices and better focus for hidden submenu items for accessibility.
    ( function() {
        if ( ! siteNavigationTop.length || ! siteNavigationTop.children().length ) {
            return;
        }

        // Toggle `focus` class to allow submenu access on tablets.
        function toggleFocusClassTouchScreen() {
            if ( window.innerWidth >= 1024 ) {
                $( document.body ).on( 'touchstart', function( e ) {
                    if ( ! $( e.target ).closest( '.main-navigation li' ).length ) {
                        $( '.main-navigation li' ).removeClass( 'focus' );
                    }
                } );
                siteNavigationTop.find( '.menu-item-has-children > a' ).on( 'touchstart', function( e ) {
                    var el = $( this ).parent( 'li' );

                    if ( ! el.hasClass( 'focus' ) ) {
                        e.preventDefault();
                        el.toggleClass( 'focus' );
                        el.siblings( '.focus' ).removeClass( 'focus' );
                    }
                } );
            } else {
                siteNavigationTop.find( '.menu-item-has-children > a' ).unbind( 'touchstart' );
            }
        }

        if ( 'ontouchstart' in window ) {
            $( window ).on( 'resize', toggleFocusClassTouchScreen );
            toggleFocusClassTouchScreen();
        }

        siteNavigationTop.find( 'a' ).on( 'focus blur', function() {
            $( this ).parents( '.menu-item' ).toggleClass( 'focus' );
        } );
    })();
    //Header Top Menu End
	//For Footer Menu
	menuToggleFooter       = $( '#menu-toggle-footer' ); // button id
	siteFooterMenu         = $( '#footer-menu-wrapper' ); // wrapper id
	siteNavigationFooter   = $( '#site-footer-navigation' ); // nav id
	initMainNavigation( siteNavigationFooter );

	// Enable menuToggleFooter.
	( function() {
		// Return early if menuToggleFooter is missing.
		if ( ! menuToggleFooter.length ) {
			return;
		}

		// Add an initial values for the attribute.
		menuToggleFooter.add( siteNavigationFooter ).attr( 'aria-expanded', 'false' );

		menuToggleFooter.on( 'click', function() {
			$( this ).add( siteFooterMenu ).toggleClass( 'toggled-on selected' );

			// jscs:disable
			$( this ).add( siteNavigationFooter ).attr( 'aria-expanded', $( this ).add( siteNavigationFooter ).attr( 'aria-expanded' ) === 'false' ? 'true' : 'false' );
			// jscs:enable
		} );
	} )();

	// Fix sub-menus for touch devices and better focus for hidden submenu items for accessibility.
	( function() {
		if ( ! siteNavigation.length || ! siteNavigation.children().length ) {
			return;
		}

		// Toggle `focus` class to allow submenu access on tablets.
		function toggleFocusClassTouchScreen() {
			if ( window.innerWidth >= 910 ) {
				$( document.body ).on( 'touchstart.wen_commerce', function( e ) {
					if ( ! $( e.target ).closest( '.main-navigation li' ).length ) {
						$( '.main-navigation li' ).removeClass( 'focus' );
					}
				} );
				siteNavigation.find( '.menu-item-has-children > a, .page_item_has_children > a' ).on( 'touchstart.wen_commerce', function( e ) {
					var el = $( this ).parent( 'li' );

					if ( ! el.hasClass( 'focus' ) ) {
						e.preventDefault();
						el.toggleClass( 'focus' );
						el.siblings( '.focus' ).removeClass( 'focus' );
					}
				} );
			} else {
				siteNavigation.find( '.menu-item-has-children > a, .page_item_has_children > a' ).unbind( 'touchstart.wen_commerce' );
			}
		}

		if ( 'ontouchstart' in window ) {
			$( window ).on( 'resize.wen_commerce', toggleFocusClassTouchScreen );
			toggleFocusClassTouchScreen();
		}

		siteNavigation.find( 'a' ).on( 'focus.wen_commerce blur.wen_commerce', function() {
			$( this ).parents( '.menu-item, .page_item' ).toggleClass( 'focus' );
		} );
	} )();

	// Add the default ARIA attributes for the menu toggle and the navigations.
	function onResizeARIA() {
		if ( window.innerWidth < 910 ) {
			if ( menuToggle.hasClass( 'toggled-on' ) ) {
				menuToggle.attr( 'aria-expanded', 'true' );
			} else {
				menuToggle.attr( 'aria-expanded', 'false' );
			}

			if ( siteHeaderMenu.hasClass( 'toggled-on' ) ) {
				siteNavigation.attr( 'aria-expanded', 'true' );
				socialNavigation.attr( 'aria-expanded', 'true' );
			} else {
				siteNavigation.attr( 'aria-expanded', 'false' );
				socialNavigation.attr( 'aria-expanded', 'false' );
			}

			menuToggle.attr( 'aria-controls', 'site-navigation social-navigation' );
		} else {
			menuToggle.removeAttr( 'aria-expanded' );
			siteNavigation.removeAttr( 'aria-expanded' );
			socialNavigation.removeAttr( 'aria-expanded' );
			menuToggle.removeAttr( 'aria-controls' );
		}
	}

	$(document).ready(function() {
		/*Search and Social Container*/
		$('.toggle-top').on('click', function(e){
			$(this).toggleClass('toggled-on');
		});

		$('#search-toggle').on('click', function(){
			//$('#header-menu-social, #share-toggle').removeClass('toggled-on');
			//$('#header-search-container').toggleClass('toggled-on');
		});

		$('#share-toggle').on('click', function(e){
			e.stopPropagation();
			//$('#header-search-container, #search-toggle').removeClass('toggled-on');
			//$('#header-menu-social').toggleClass('toggled-on');
			//$( '#social-menu-wrapper' ).toggleClass( 'is-open' );
		});
	});

	/* Playlist On Scroll For Mobile */
	var PlaylistOnScroll = function(){

		var scrollTop = $(window).scrollTop();

		if (scrollTop > 46) {
			$('body').addClass('playlist-fixed');
		} else {
			$('body').removeClass('playlist-fixed');
		}
	};

	/*Onload*/
	PlaylistOnScroll();

	/*On Scroll*/
	$(window).on( 'scroll',function() {
		PlaylistOnScroll();
	});

	// Show count in header if count is more than 0
	if (parseInt($(".site-header-cart .cart-contents .count").text()) !== 0) {
		$(".site-header-cart .cart-contents .count").show();
	}

	var windowWidth = $(window).width();
	if(windowWidth > 768){
		 $( window ).on( 'load resize', function () {
		 });
	}

	//Adding padding top for header to match with custom header
	// var windowWidth = $(window).width();
	// if(windowWidth >= 1200){
	// 	$( window ).on( 'load resize', function () {
	// 		if( $( 'body' ).hasClass( 'has-header-media' ) || $( 'body' ).hasClass( 'absolute-header' )) {
	// 			headerheight = $('#masthead').height();
	// 			$('.absolute-header #masthead + .custom-header, .absolute-header #masthead + #feature-slider-section .slider-image-wrapper').css('padding-top', headerheight );
	// 		}
	// 	});
	// } else {
	// 	$('.absolute-header #masthead + .custom-header, .absolute-header #masthead + #feature-slider-section .slider-image-wrapper').removeAttr('style');
	// }

	//Isotope
	 $( window ).on( 'load resize', function () {
		if ( typeof $.fn.isotope === "function" ) {
			// init Isotope
			var $grid = $('.grid').isotope({
				itemSelector: '.grid-item',
			});

			// filter items on button click
			$('.filter-button-group').on( 'click', 'button', function() {
				var filterValue = $(this).attr('data-filter');
				$grid.isotope({ filter: filterValue });
			});
		}

		 $('.filter-button-group .button').on( 'click',function(){
			$('.filter-button-group .button').removeClass('is-checked');
			$(this).addClass('is-checked');
		});
	});

	$(window).on( 'load resize', function() {
		var thumbHeight = $('#featured-video-section .featured').height();
		if ( $(window).width() > 1024 ) {
			$('#featured-video-section .side-posts-wrap').css('height', thumbHeight);
		} else {
			$('#featured-video-section .side-post-wrap').removeAttr('style');
		}


		var thumbHeight = $('#featured-video-section .featured .video-thumbnail').height();
		$('#featured-video-section .side-posts-wrap').css('height', thumbHeight);
	});

	$(window).on("load resize scroll",function(e){
		if ( $(window).width() > 1200 ) {
			if ( $(window).scrollTop() >= $('.site-header').outerHeight() ) {
				$('.site-header').addClass('fixed transparent');
			}
			else {
				$('.site-header').removeClass('fixed transparent');
			}
		};
	});

	$( window ).on( 'load resize', function () {
        var productImgHeight = $('ul.products li.product img').innerHeight() - 42;
        $('.woocommerce .product-container a.button').css('top', productImgHeight);
    });

    if ( typeof $.fn.countdown === "function"  ) {
        $('#clock').countdown( wenCommerceCountdownEndDate, function(event) {
          var $this = $(this).html(event.strftime(''
            + '<span class="count-down"><span class="countdown-day"><span class="countdown-number">%-D</span><span class="countdown-label"> day%!d</span></span></span> '
            + '<span class="count-down"><span class="countdown-hour"><span class="countdown-number">%H</span><span class="countdown-label"> hr</span></span></span> '
            + '<span class="count-down"><span class="countdown-minute"><span class="countdown-number">%M</span><span class="countdown-label"> min</span></span></span> '
            + '<span class="count-down"><span class="countdown-second"><span class="countdown-number">%S</span><span class="countdown-label"> sec</span></span></span>'));
        });
    }

} )( jQuery );
