<?php
/**
 * The template for displaying featured content
 *
 * @package WEN_Commerce
 */
?>

<?php
$wen_commerce_enable_content = get_theme_mod( 'wen_commerce_collection_option', 'disabled' );
$wen_commerce_classes = array();

if ( ! wen_commerce_check_section( $wen_commerce_enable_content ) ) {
	// Bail if featured content is disabled.
	return;
}

$wen_commerce_type 	     = get_theme_mod( 'wen_commerce_collection_type', 'category' );
$wen_commerce_title       = get_theme_mod( 'wen_commerce_collection_archive_title', esc_html__( 'Collection', 'wen-commerce-pro' ) );
$wen_commerce_subtitle    = get_theme_mod( 'wen_commerce_collection_sub_title' );
$wen_commerce_description = get_theme_mod( 'wen_commerce_collection_description' );
$wen_commerce_layout      = get_theme_mod( 'wen_commerce_collection_layout', 'layout-two' );

$wen_commerce_classes[] = 'section-type-' . $wen_commerce_type;

$wen_commerce_classes[] = 'section';

if ( ! $wen_commerce_subtitle && ! $wen_commerce_title && ! $wen_commerce_description ){
	$wen_commerce_classes[] = 'no-section-heading';
}

?>

<div id="collection-section" class="<?php echo esc_attr( implode( ' ', $wen_commerce_classes ) ); ?>">
	<div class="wrapper">
		<?php if ( $wen_commerce_subtitle || $wen_commerce_title || $wen_commerce_description ) : ?>
			<div class="section-heading-wrapper featured-section-headline">

				<?php if( $wen_commerce_subtitle ) : ?>
					<div class="section-subtitle">
						<?php echo esc_html( $wen_commerce_subtitle ); ?>
					</div>
				<?php endif; ?>

				<?php if ( $wen_commerce_title ) : ?>
					<div class="section-title-wrapper">
						<h2 class="section-title"><?php echo wp_kses_post( $wen_commerce_title ); ?></h2>
					</div><!-- .page-title-wrapper -->
				<?php endif; ?>

				<?php if ( $wen_commerce_description ) : ?>
					<div class="section-description">
						<p>
							<?php
								echo wp_kses_post( $wen_commerce_description );
							?>
						</p>
					</div><!-- .taxonomy-description-wrapper -->
				<?php endif; ?>
			</div><!-- .section-heading-wrapper -->
		<?php endif; ?>

		<div class="section-content-wrapper collection-wrapper <?php echo esc_attr( $wen_commerce_layout ); ?>">

			<?php
			if ( 'custom' === $wen_commerce_type ) {
				get_template_part( 'template-parts/collection/custom-collection' );
			} else {
				get_template_part( 'template-parts/collection/post-types-collection' );
			}
			?>
		</div><!-- .collection-wrapper -->
	</div><!-- .wrapper -->
</div><!-- #collection-section -->
