<?php
/**
 * The template used for displaying logo_slider
 *
 * @package WEN_Commerce
 */
$wen_commerce_quantity      = get_theme_mod( 'wen_commerce_logo_slider_number', 6 );
$wen_commerce_no_of_post    = 0; // for number of posts
$wen_commerce_post_list     = array(); // list of valid post/page ids
$wen_commerce_type = get_theme_mod( 'wen_commerce_logo_slider_type', 'category' );
$wen_commerce_show_content  = get_theme_mod( 'wen_commerce_logo_slider_content_show', 'hide-content' );

$wen_commerce_args = array(
	'post_type'           => 'any',
	'ignore_sticky_posts' => 1, // ignore sticky posts
);

//Get valid number of posts
if ( 'post' === $wen_commerce_type || 'page' === $wen_commerce_type ) {
	for ( $wen_commerce_i = 1; $wen_commerce_i <= $wen_commerce_quantity; $wen_commerce_i++ ) {
		$wen_commerce_post_id = '';

		if ( 'post' === $wen_commerce_type ) {
			$wen_commerce_post_id = get_theme_mod( 'wen_commerce_logo_slider_post_' . $wen_commerce_i );
		} elseif ( 'page' === $wen_commerce_type ) {
			$wen_commerce_post_id = get_theme_mod( 'wen_commerce_logo_slider_page_' . $wen_commerce_i );
		}

		if ( $wen_commerce_post_id && '' !== $wen_commerce_post_id ) {
			$wen_commerce_post_list = array_merge( $wen_commerce_post_list, array( $wen_commerce_post_id ) );

			$wen_commerce_no_of_post++;
		}
	}

	$wen_commerce_args['post__in'] = $wen_commerce_post_list;
	$wen_commerce_args['orderby'] = 'post__in';
} elseif ( 'category' === $wen_commerce_type ) {
	$wen_commerce_no_of_post = $wen_commerce_quantity;

	$wen_commerce_args['category__in'] = get_theme_mod( 'wen_commerce_logo_slider_select_category' );

	$wen_commerce_args['post_type'] = 'post';
} elseif ( 'tag' === $wen_commerce_type ) {
	$wen_commerce_no_of_post = $wen_commerce_quantity;

	$wen_commerce_args['tag__in'] = get_theme_mod( 'wen_commerce_logo_slider_select_tag' );

	$wen_commerce_args['post_type'] = 'post';
}

if ( ! $wen_commerce_no_of_post ) {
	return;
}

$wen_commerce_args['posts_per_page'] = $wen_commerce_no_of_post;

$wen_commerce_loop = new WP_Query( $wen_commerce_args );

while ( $wen_commerce_loop->have_posts() ) :
	$wen_commerce_loop->the_post();

	$wen_commerce_classes = 'post post-' . get_the_ID() . ' hentry slides';

	// Default value if there is no featurd image or first image.
	$wen_commerce_image_url = trailingslashit( esc_url ( get_template_directory_uri() ) ) . '/images/no-thumb-140x80.jpg';

	if ( has_post_thumbnail() ) {
		$wen_commerce_image_url = get_the_post_thumbnail_url( get_the_ID(), array( 140, 105 ) );
	} else {
		// Get the first image in page, returns false if there is no image.
		$wen_commerce_first_image_url = wen_commerce_get_first_image( get_the_ID(), array( 140, 105 ), '', true );

		// Set value of image as first image if there is an image present in the page.
		if ( $wen_commerce_first_image_url ) {
			$wen_commerce_image_url = $wen_commerce_first_image_url;
		}
	}
	?>
	<article class="<?php echo esc_attr( $wen_commerce_classes ); ?>">
		<div class="hentry-inner">
			<div class="second-content-thumbnail post-thumbnail">
				<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
						<img src="<?php echo esc_url( $wen_commerce_image_url ); ?>" class="wp-post-image" alt="<?php the_title_attribute(); ?>">
					</a>
			</div><!-- .logo_slider-image-wrapper -->

			<div class="entry-container">
				<header class="entry-header">
					<h2 class="entry-title">
						<a title="<?php the_title_attribute(); ?>" href="<?php the_permalink(); ?>">
							<?php the_title( '','' ); ?>
						</a>
					</h2>
				</header>

				<?php wen_commerce_content_display( $wen_commerce_show_content ); ?>
			</div><!-- .entry-container -->
		</div><!-- .hentry-inner -->
	</article><!-- .slides -->
<?php
endwhile;

wp_reset_postdata();
