<?php
/**
 * The template for displaying portfolio items
 *
 * @package WEN_Commerce
 */
?>

<?php
$wen_commerce_number = get_theme_mod( 'wen_commerce_portfolio_number', 6 );

if ( ! $wen_commerce_number ) {
	// If number is 0, then this section is disabled
	return;
}

$wen_commerce_args = array(
	'orderby'             => 'post__in',
	'ignore_sticky_posts' => 1 // ignore sticky posts
);

$wen_commerce_post_list  = array();// list of valid post/page ids

$wen_commerce_no_of_post = 0; // for number of posts

$wen_commerce_type = get_theme_mod( 'wen_commerce_portfolio_type', 'category' );

if ( 'post' === $wen_commerce_type || 'jetpack-portfolio' === $wen_commerce_type || 'page' === $wen_commerce_type  ) {
	$wen_commerce_args['post_type'] = $wen_commerce_type;

	for ( $wen_commerce_i = 1; $wen_commerce_i <= $wen_commerce_number; $wen_commerce_i++ ) {
		$wen_commerce_post_id = '';

		if ( 'post' === $wen_commerce_type ) {
			$wen_commerce_post_id = get_theme_mod( 'wen_commerce_portfolio_post_' . $wen_commerce_i );
		} elseif ( 'page' === $wen_commerce_type ) {
			$wen_commerce_post_id = get_theme_mod( 'wen_commerce_portfolio_page_' . $wen_commerce_i );
		} elseif ( 'jetpack-portfolio' === $wen_commerce_type ) {
			$wen_commerce_post_id =  get_theme_mod( 'wen_commerce_portfolio_cpt_' . $wen_commerce_i );
		}

		if ( $wen_commerce_post_id && '' !== $wen_commerce_post_id ) {
			// Polylang Support.
			if ( class_exists( 'Polylang' ) ) {
				$wen_commerce_post_id = pll_get_post( $wen_commerce_post_id, pll_current_language() );
			}

			$wen_commerce_post_list = array_merge( $wen_commerce_post_list, array( $wen_commerce_post_id ) );

			$wen_commerce_no_of_post++;
		}
	}

	$wen_commerce_args['post__in'] = $wen_commerce_post_list;
}
elseif ( 'category' === $wen_commerce_type ) {
	$wen_commerce_no_of_post = $wen_commerce_number;

	if ( get_theme_mod( 'wen_commerce_portfolio_select_category' ) ) {
		$wen_commerce_args['category__in'] = (array) get_theme_mod( 'wen_commerce_portfolio_select_category' );
	}

	$wen_commerce_args['post_type'] = 'post';
}

if ( 0 === $wen_commerce_no_of_post ) {
	return;
}

$wen_commerce_args['posts_per_page'] = $wen_commerce_no_of_post;
$wen_commerce_loop     = new WP_Query( $wen_commerce_args );

$wen_commerce_slider_select = get_theme_mod( 'wen_commerce_portfolio_slider', 1 );

if ( $wen_commerce_loop -> have_posts() ) :
	while ( $wen_commerce_loop -> have_posts() ) :
		$wen_commerce_loop -> the_post();

		get_template_part( 'template-parts/portfolio/content', 'portfolio' );

	endwhile;
	wp_reset_postdata();
endif;
