<?php
/**
 * The template used for displaying Product Reviews
 *
 * @package WEN_Commerce
 */
?>

<?php 

if ( 'no' === get_option( 'woocommerce_enable_review_rating' ) ) {
	return;
}

$wen_commerce_rating_count = intval( get_comment_meta( $wen_commerce_comment->comment_ID, 'rating', true ) );
$wen_commerce__product	= wc_get_product( $wen_commerce_comment->comment_post_ID );
$wen_commerce_post_thumbnail_id = $wen_commerce__product->get_image_id();
$wen_commerce_price 		= $wen_commerce__product->get_price_html();
$wen_commerce_review 	= $wen_commerce_comment->comment_content;
$wen_commerce_author 	= get_comment_author( $wen_commerce_comment->comment_ID );


if ( $wen_commerce_rating_count > 0 ) : ?>
	<article class="hentry has-post-thumbnail">
		<div class="hentry-inner">
			<div class="entry-container">
				<div class="entry-content">
				<?php
					if ( $wen_commerce_post_thumbnail_id ) {
						$wen_commerce_html  = '<div class="attachment-woocommerce_thumbnail size-woocommerce_thumbnail">';
						$wen_commerce_html .= wc_get_gallery_image_html( $wen_commerce_post_thumbnail_id, false );
						$wen_commerce_html .= '</div>';
					} else {
						$wen_commerce_html  = '<div class="woocommerce-product-gallery__image--placeholder attachment-woocommerce_thumbnail size-woocommerce_thumbnail">';
						$wen_commerce_html .= sprintf( '<img src="%s" alt="%s" class="wp-post-image" />', esc_url( wc_placeholder_img_src() ), esc_html__( 'Awaiting product image', 'wen-commerce-pro' ) );
						$wen_commerce_html .= '</div>';
					}

		echo apply_filters( 'woocommerce_single_product_image_thumbnail_html', $wen_commerce_html, $wen_commerce_post_thumbnail_id );

					
					echo wc_get_rating_html( $wen_commerce_rating_count ); ?>

					<p class="woocommerce-LoopProduct-link"><?php echo get_the_title( $wen_commerce_comment->comment_post_ID ); ?> ( <?php echo $wen_commerce_price; ?> ) </p>
					
					<p><?php echo $wen_commerce_review; ?></p>
				</div><!-- .entry-content -->	
			</div><!-- .entry-container -->	

			<div class="hentry-inner-header">
				<div class="testimonial-thumbnail review-thumbanil post-thumbnail">
					<?php echo get_avatar( $wen_commerce_comment, 64 ); ?>
				</div>

				<header class="entry-header">
					<h2 class="entry-title"><?php echo $wen_commerce_author; ?></h2>
					
				</header>	
			</div><!-- .hentry-inner-header -->		
		</div><!-- .hentry-inner -->	
	</article><!-- .hentry -->

<?php endif; ?>
