<?php
/**
 * The template used for displaying promotion headline
 *
 * @package WEN_Commerce
 */
?>
<?php

$wen_commerce_image_align 		  = get_theme_mod( 'wen_commerce_promo_head_image_position', 'content-align-center' );
$wen_commerce_text_align 		  = get_theme_mod( 'wen_commerce_promo_head_text_alignment', 'text-align-center' );
$wen_commerce_subtitle    = get_theme_mod( 'wen_commerce_promo_head_sub_title' );
$wen_commerce_description = get_theme_mod( 'wen_commerce_promo_head_description' );

$wen_commerce_class[] = 'section';
$wen_commerce_class[] = 'promotion-section';
$wen_commerce_class[] = $wen_commerce_image_align;
$wen_commerce_class[] = $wen_commerce_text_align;

if ( get_theme_mod( 'wen_commerce_promo_head_wrap_text' ) ) {
	$wen_commerce_class[] = 'content-frame';
}

if ( get_theme_mod( 'wen_commerce_promo_head_text_color', 1 ) ) {
   $wen_commerce_class[] = 'content-color-white';
}

$wen_commerce_class[] = 'promotion-headline-one';
?>
<div id="promotion-section" class="promotion-section <?php echo esc_attr( implode( ' ', $wen_commerce_class ) ); ?>">
	<div class="wrapper section-content-wrapper">
		<article class="promotion-headline-image type-image hentry">
			<div class="hentry-inner">
				<?php
				$wen_commerce_image = get_theme_mod( 'wen_commerce_promo_head_image' );
				if ( $wen_commerce_image ) : ?>
					<div class="post-thumbnail-background" style="background-image: url( '<?php echo esc_url( $wen_commerce_image ); ?>' )">
					</div><!-- .post-thumbnail-background -->
					<?php
						$wen_commerce_background_image_link = get_theme_mod( 'wen_commerce_promo_head_link' );
						$wen_commerce_target = get_theme_mod( 'wen_commerce_promo_head_target' ) ? '_blank' : '_self';
						if ( $wen_commerce_background_image_link ) :
						?>
							<a class="cover-link" href="<?php echo esc_url( $wen_commerce_background_image_link ); ?>" target="<?php echo esc_attr( $wen_commerce_target ); ?>">
							</a>
						<?php
						endif;
				endif; ?>

				<div class="content-wrapper">
					<div class="entry-container">
						<div class="entry-container-frame">

							<?php if( $wen_commerce_subtitle ) : ?>
								<div class="section-subtitle">
									<?php echo esc_html( $wen_commerce_subtitle ); ?>
								</div>
							<?php endif; ?>

							<?php if ( $wen_commerce_title = get_theme_mod( 'wen_commerce_promo_head_title' ) ) : ?>
								<header class="entry-header section-title-wrapper">
									<h2 class="entry-title section-title ">
										<?php echo wp_kses_post( $wen_commerce_title ); ?>
									</h2>
								</header><!-- .entry-header -->
							<?php endif; ?>

							<?php if ( $wen_commerce_description ) : ?>
								<div class="section-description">
									<p>
										<?php
											echo wp_kses_post( $wen_commerce_description );
										?>
									</p>
								</div><!-- .section-description-wrapper -->
							<?php endif; ?>
							
							<?php
								$wen_commerce_image = get_theme_mod( 'wen_commerce_promo_head_logo_image' );
								if ( $wen_commerce_image ) : ?>
									<div class="post-thumbnail">
										<img src="<?php echo esc_url( $wen_commerce_image ); ?>">
									</div><!-- .post-thumbnail-->
								<?php endif; ?>

							<?php $wen_commerce_more_text   = get_theme_mod( 'wen_commerce_promo_head_more_text' );
								  $wen_commerce_content 	   = get_theme_mod( 'wen_commerce_promo_head_content' );

							if ( $wen_commerce_content || $wen_commerce_more_text ) : ?>
								<div class="entry-content">
									<?php echo wp_kses_post( $wen_commerce_content );

									$wen_commerce_more_link   = get_theme_mod( 'wen_commerce_promo_head_more_link', '#' );
									$wen_commerce_more_target = get_theme_mod( 'wen_commerce_promo_head_more_target' ) ? '_blank' : '_self' ;

									if ( $wen_commerce_more_text ) : ?>
										<p>
											<a class="more-button button" href="<?php echo esc_url( $wen_commerce_more_link ); ?>" target="<?php echo esc_attr( $wen_commerce_more_target ); ?>"><?php echo esc_html( $wen_commerce_more_text ); ?></a>
										</p>
									<?php
									endif;
									?>
								</div><!-- .entry-content -->
							<?php endif; ?>
						</div><!-- .entry-container-frame -->
					</div><!-- .entry-container -->
				</div><!-- .content-wrapper -->
			</div><!-- .hentry-inner -->
		</article><!-- #post-## -->
	</div><!-- .section-content-wrap -->
</div><!-- .section -->
