<?php
/**
 * Template part for displaying Recent Posts in the front page template
 *
 * @package WEN_Commerce
 */

if ( ! ( 'page' == get_option( 'show_on_front' ) && is_front_page() && get_theme_mod( 'wen_commerce_enable_static_page_posts' ) ) )  {
	return;
}
?>
<div class="recent-blog-content archive-posts-wrapper section">
	<div class="wrapper">
		<?php 
		$wen_commerce_blog_tagline = get_theme_mod( 'wen_commerce_recent_posts_tagline' );
		$wen_commerce_blog_title   = get_theme_mod( 'wen_commerce_recent_posts_heading', esc_html__( 'News', 'wen-commerce-pro' ) );
		$wen_commerce_sub_title    = get_theme_mod( 'wen_commerce_recent_posts_subheading' );

		if ( $wen_commerce_blog_tagline || $wen_commerce_blog_title || $wen_commerce_sub_title ) : ?>
		<div class="section-heading-wrapper">
			<?php if( $wen_commerce_blog_tagline ) : ?>
			<div class="section-subtitle">
				<?php echo esc_html( $wen_commerce_blog_tagline ); ?>
			</div>
		<?php endif; ?>

			<?php if ( $wen_commerce_blog_title ) : ?>
				<div class="section-title-wrapper">
					<h1 class="section-title"><?php echo esc_html( $wen_commerce_blog_title ); ?></h1>
				</div><!-- .section-title-wrapper -->
			<?php endif; ?>

			<?php if (  $wen_commerce_sub_title ) : ?>
				<div class="section-description">
					<?php echo wp_kses_post( $wen_commerce_sub_title ); ?>
				</div><!-- .section-description-wrapper -->
			<?php endif; ?>
		</div><!-- .section-heading-wrap -->
		<?php endif; ?>

		<div class="section-content-wrapper recent-blog-content-wrapper">
			<div id="infinite-post-wrap" class="archive-post-wrap">
				<?php
				$wen_commerce_recent_posts = new WP_Query( array(
					'ignore_sticky_posts' => true,
				) );

				/* Start the Loop */
				while ( $wen_commerce_recent_posts->have_posts() ) :
					$wen_commerce_recent_posts->the_post();
					?>
					<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
						<div class="post-wrapper hentry-inner">
							<?php wen_commerce_archive_image(); ?>

							<div class="entry-container">

								<header class="entry-header">
									<?php if ( is_sticky() ) { ?>
										<span class="sticky-post"><?php esc_html_e( 'Featured', 'wen-commerce-pro' ); ?></span>
									<?php } ?>

									<?php the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' ); ?>

									<?php if ( 'post' === get_post_type() ) : ?>
									<div class="entry-meta">
										<?php wen_commerce_posted_on(); ?>
									</div><!-- .entry-meta -->
									<?php
									endif; ?>
								</header><!-- .entry-header -->

								<div class="entry-content">
									<?php
									$wen_commerce_archive_layout = get_theme_mod( 'wen_commerce_content_layout', 'excerpt' );

									if ( 'full-content-custom' === $wen_commerce_archive_layout || 'full-content' === $wen_commerce_archive_layout ) {
										/* translators: %s: Name of current post. Only visible to screen readers */
										the_content( sprintf(
											wp_kses(

												__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'wen-commerce-pro' ),
												array(
													'span' => array(
														'class' => array(),
													),
												)
											),
											get_the_title()
										) );

										wp_link_pages( array(
											'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'wen-commerce-pro' ),
											'after'  => '</div>',
										) );
									} else {
										the_excerpt();
									}
									?>
								</div><!-- .entry-content -->
							</div> <!-- .entry-container -->
						</div><!-- .hentry-inner -->
					</article><!-- #post -->
					<?php
				endwhile;

				wp_reset_postdata();
				?>
			</div><!-- .archive-post-wrap -->
		</div><!-- .section-content-wrap -->
		<p class="view-more"><a class="more-recent-posts button" href="<?php the_permalink( get_option( 'page_for_posts' ) ); ?>"><?php esc_html_e( 'More Posts', 'wen-commerce-pro' ); ?></a></p>
	</div> <!-- .wrapper -->
</div> <!-- .recent-blog-content-wrapper -->
