<?php
/**
 * The template for displaying service image content
 *
 * @package WEN_Commerce
 */
?>

<?php
$wen_commerce_quantity = get_theme_mod( 'wen_commerce_service_number', 3 );
$wen_commerce_no_thumb = trailingslashit( esc_url ( get_template_directory_uri() ) ) . '/images/no-thumb-80x80.jpg';

for ( $wen_commerce_i = 1; $wen_commerce_i <= $wen_commerce_quantity; $wen_commerce_i++ ) {
	$wen_commerce_target = get_theme_mod( 'wen_commerce_service_target_' . $wen_commerce_i ) ? '_blank' : '_self';

	$wen_commerce_link = get_theme_mod( 'wen_commerce_service_link_' . $wen_commerce_i ) ? get_theme_mod( 'wen_commerce_service_link_' . $wen_commerce_i ) : '#';

	if ( function_exists( 'qtrans_convertURL' ) ) {
		$wen_commerce_link = qtrans_convertURL( $wen_commerce_link );
	}

	echo '
	<article id="service-post-' . esc_attr( $wen_commerce_i ) . '" class="hentry"> <div class="hentry-inner">';

		$wen_commerce_title   = get_theme_mod( 'wen_commerce_service_title_' . $wen_commerce_i );
		$wen_commerce_content = get_theme_mod( 'wen_commerce_service_content_' . $wen_commerce_i );
		$wen_commerce_more_button = get_theme_mod( 'wen_commerce_service_more_button_text_' . $wen_commerce_i );

		$wen_commerce_image = get_theme_mod( 'wen_commerce_service_image_' . $wen_commerce_i ) ? get_theme_mod( 'wen_commerce_service_image_' . $wen_commerce_i ) : '';

		if ( $wen_commerce_image ) {
			echo '
			<div class="post-thumbnail">
			<a href="' . esc_url( $wen_commerce_link ) . '" target="' . esc_attr( $wen_commerce_target ) . '">
				<img src="' . esc_url( $wen_commerce_image ) . '" class="wp-post-image" alt="' . esc_attr( $wen_commerce_title ) . '" title="' . esc_attr( $wen_commerce_title ) . '">
			</a></div>';
		} else {
			echo '
			<div class="post-thumbnail">
			<a href="' . esc_url( $wen_commerce_link ) . '" target="' . esc_attr( $wen_commerce_target ) . '">
				<img src="' . esc_url( $wen_commerce_no_thumb ) . '" class="wp-post-image" alt="' . esc_attr( $wen_commerce_title ) . '" title="' . esc_attr( $wen_commerce_title ) . '">
			</a></div>';
		}
		

		if ( $wen_commerce_title || $wen_commerce_content || $wen_commerce_more_button) {
			echo '
			<div class="entry-container">
				<header class="entry-header">';

				if ( $wen_commerce_title ) {
					echo '
					<h2 class="entry-title">
						<a href="' . esc_url( $wen_commerce_link ) . '" rel="bookmark" target="' . esc_attr( $wen_commerce_target ) . '">' . wp_kses_post( $wen_commerce_title ) . '</a>
					</h2>';
				}

				echo '</header>';

				if ( $wen_commerce_content || $wen_commerce_more_button ) {
					if ( $wen_commerce_more_button ) {
						$wen_commerce_content .= '<span class="more-button">
							<a class="more-link" href="' . esc_url( $wen_commerce_link ) . '" rel="bookmark" target="' . esc_attr( $wen_commerce_target ) . '">' . esc_html( $wen_commerce_more_button ) . '</a>
						</span>';
					}

				 	echo '<div class="entry-summary">' . wp_kses_post( $wen_commerce_content ) . '</div><!-- .entry-summary -->';
				}



				echo '
			</div><!-- .entry-container -->';
		}

		echo '
		</div>
	</article><!-- .service-post-' . esc_attr( $wen_commerce_i ) . ' -->';
} // End for().
