<?php
/**
  * The template used for displaying simage/custom lider
  *
  * @package WEN_Commerce
  */

$wen_commerce_quantity = get_theme_mod( 'wen_commerce_slider_number', 4 );

$wen_commerce_output = '';

for ( $wen_commerce_i = 1; $wen_commerce_i <= $wen_commerce_quantity; $wen_commerce_i++ ) {
	$wen_commerce_image = get_theme_mod( 'wen_commerce_slider_image_' . $wen_commerce_i );

	// Check Image Not Empty to add in the slides.
	if ( $wen_commerce_image ) {
		$wen_commerce_imagetitle = get_theme_mod( 'wen_commerce_slider_title_' . $wen_commerce_i ) ? get_theme_mod( 'wen_commerce_slider_title_' . $wen_commerce_i ) : '';

		$wen_commerce_title  = '';
		$wen_commerce_link   = get_theme_mod( 'wen_commerce_slider_link_' . $wen_commerce_i );
		$wen_commerce_target = get_theme_mod( 'wen_commerce_slider_target_' . $wen_commerce_i ) ? '_blank' : '_self';

		$wen_commerce_title_image = get_theme_mod( 'wen_commerce_slider_title_image_' . $wen_commerce_i );
		$wen_commerce_title_image_html = '';

		if ( $wen_commerce_title_image ) {
			$wen_commerce_title_image_html = '<img src="' . esc_url( $wen_commerce_title_image ) . '" title="' . esc_attr( $wen_commerce_imagetitle ) . '" alt="' . esc_attr( $wen_commerce_imagetitle ) . '"/>';
		}

		$wen_commerce_description = get_theme_mod( 'wen_commerce_slider_description_' . $wen_commerce_i );
		
		if ( $wen_commerce_description ) {
			$wen_commerce_description = '<div class="description">' . wp_kses_post( $wen_commerce_description ) . '</div>';
		}

		$wen_commerce_title = '<header class="entry-header"><h2 class="entry-title">';

		if( $wen_commerce_title_image ) {
			$wen_commerce_title .= '<span class="title-image">' . $wen_commerce_title_image_html . '</span>';
		}

		if( $wen_commerce_imagetitle ) {
			$wen_commerce_title .= '<span class="title-text">' . esc_html( $wen_commerce_imagetitle ) . '</span>';
		}
		
		$wen_commerce_title .= '</h2></header>';

		if ( $wen_commerce_link ) {
			$wen_commerce_title = '<header class="entry-header"><h2 class="entry-title"><a title="' . esc_attr( $wen_commerce_imagetitle ) . '" href="' . esc_url( $wen_commerce_link ) . '" target="' . $wen_commerce_target . '"><span class="title-image">' . $wen_commerce_title_image_html . '</span><span class="title-text">' . esc_html( $wen_commerce_imagetitle ) . '</span></a></h2></header>';
		}

		$wen_commerce_content = get_theme_mod( 'wen_commerce_slider_content_' . $wen_commerce_i ) ? '<div class="entry-summary"><p>' . get_theme_mod( 'wen_commerce_slider_content_' . $wen_commerce_i ) . '</p></div><!-- .entry-summary -->' : '';

		$wen_commerce_target = get_theme_mod( 'wen_commerce_slider_target_'. $wen_commerce_i ) ? '_blank': '_self';
		$wen_commerce_link   = get_theme_mod( 'wen_commerce_slider_link_' . $wen_commerce_i, '#' );
		$wen_commerce_text   = get_theme_mod( 'wen_commerce_slider_text_' . $wen_commerce_i );

		$wen_commerce_button = '';

		if ( $wen_commerce_text ) :

		$wen_commerce_button = '
		<p>
			<a class="more-link" target="' . esc_attr( $wen_commerce_target ) . '" href="' . esc_url( $wen_commerce_link ) . '"> '. esc_html( $wen_commerce_text ) . '
			</a>
		</p>';
		endif;

		$wen_commerce_contentopening = '';
		$wen_commerce_contentclosing = '';

		// Content Opening and Closing.
		if ( ! empty( $wen_commerce_title ) || ! empty( $wen_commerce_content ) ) {
			$wen_commerce_contentopening = '<div class="slider-content-wrapper"><div class="entry-container">';
			$wen_commerce_contentclosing = '</div><!-- .entry-container --></div><!-- .slider-content-wrapper -->';
		}
		
		$wen_commerce_output .= '
		<article class="image-slides hentry slider-image images-' . esc_attr( $wen_commerce_i ) . ' slides">
			<div class="hentry-inner">	
				<div class="slider-image-wrapper">
					<a href="' . esc_url( $wen_commerce_link ) . '" title="' . esc_attr( $wen_commerce_imagetitle ) . ' "target="' . $wen_commerce_target . '">
						<img src="' . esc_url( $wen_commerce_image ) . '" class="wp-post-image" alt="' . esc_attr( $wen_commerce_imagetitle ) . '">
					</a>
				</div>
				' . $wen_commerce_contentopening . $wen_commerce_title . $wen_commerce_description . $wen_commerce_content .  $wen_commerce_button . $wen_commerce_contentclosing . '
			</div><!-- .hentry-inner -->	
		</article><!-- .slides -->';
	} // End if ().
} // End for().

echo $wen_commerce_output;
