<?php
/**
 * The template for displaying why choose us image content
 *
 * @package WEN_Commerce
 */
?>

<?php
$wen_commerce_quantity = get_theme_mod( 'wen_commerce_why_choose_us_number', 3 );

for ( $wen_commerce_i = 1; $wen_commerce_i <= $wen_commerce_quantity; $wen_commerce_i++ ) {
	$wen_commerce_target = get_theme_mod( 'wen_commerce_why_choose_us_target_' . $wen_commerce_i ) ? '_blank' : '_self';

	$wen_commerce_link = get_theme_mod( 'wen_commerce_why_choose_us_link_' . $wen_commerce_i ) ? get_theme_mod( 'wen_commerce_why_choose_us_link_' . $wen_commerce_i ) : '#';

	if ( function_exists( 'qtrans_convertURL' ) ) {
		$wen_commerce_link = qtrans_convertURL( $wen_commerce_link );
	}

	echo '
	<article id="why-choose-us-post-' . esc_attr( $wen_commerce_i ) . '" class="hentry"> <div class="hentry-inner">';

		$wen_commerce_title = get_theme_mod( 'wen_commerce_why_choose_us_title_' . $wen_commerce_i );
		$wen_commerce_content            = get_theme_mod( 'wen_commerce_why_choose_us_content_' . $wen_commerce_i );
		$wen_commerce_more_button        = get_theme_mod( 'wen_commerce_why_choose_us_more_button_text_' . $wen_commerce_i );

		$wen_commerce_image = get_theme_mod( 'wen_commerce_why_choose_us_image_' . $wen_commerce_i );

		echo '
		<div class="post-thumbnail">
		<a href="' . esc_url( $wen_commerce_link ) . '" target="' . esc_attr( $wen_commerce_target ) . '">
			<img src="' . esc_url( $wen_commerce_image ) . '">
		</a></div>';

		if ( $wen_commerce_title || $wen_commerce_content || $wen_commerce_more_button) {
			echo '
			<div class="entry-container">';

				if ( $wen_commerce_title ) {
					echo '
					<header class="entry-header">
					<h2 class="entry-title">
						<a href="' . esc_url( $wen_commerce_link ) . '" rel="bookmark" target="' . esc_attr( $wen_commerce_target ) . '">' . wp_kses_post( $wen_commerce_title ) . '</a>
					</h2>';
					echo '</header>';
				}

				if ( $wen_commerce_content || $wen_commerce_more_button ) {
					if ( $wen_commerce_more_button ) {
						$wen_commerce_content .= '<span class="more-button">
							<a class="more-link" href="' . esc_url( $wen_commerce_link ) . '" rel="bookmark" target="' . esc_attr( $wen_commerce_target ) . '">' . esc_html( $wen_commerce_more_button ) . '</a>
						</span>';
					}

				 	echo '<div class="entry-summary">' . wp_kses_post( $wen_commerce_content ) . '</div><!-- .entry-summary -->';
				}



				echo '
			</div><!-- .entry-container -->';
		}

		echo '
		</div>
	</article><!-- .why-choose-us-post-' . esc_attr( $wen_commerce_i ) . ' -->';
} // End for().
