<?php
/**
 * The template for displaying why choose us content
 *
 * @package WEN_Commerce
 */
$wen_commerce_enable = get_theme_mod( 'wen_commerce_why_choose_us_option', 'disabled' );

if ( ! wen_commerce_check_section( $wen_commerce_enable ) ) {
	// Bail if why choose us content is disabled.
	return;
}

$wen_commerce_type        = get_theme_mod( 'wen_commerce_why_choose_us_type', 'category' );
$wen_commerce_subtitle    = get_theme_mod( 'wen_commerce_why_choose_us_sub_title' );
$wen_commerce_title       = get_theme_mod( 'wen_commerce_why_choose_us_title' );
$wen_commerce_description = get_theme_mod( 'wen_commerce_why_choose_us_description' );
$wen_commerce_text_alignment       = get_theme_mod( 'wen_commerce_why_choose_us_text_align', 'text-align-center');
$wen_commerce_layout 			  = get_theme_mod( 'wen_commerce_why_choose_us_layout', 'layout-three' );
$wen_commerce_show_content         = get_theme_mod( 'wen_commerce_why_choose_us_show', 'excerpt' );

$wen_commerce_classes = array();
	
$wen_commerce_classes[] = 'why-choose-us-section';
$wen_commerce_classes[] = 'section';
$wen_commerce_classes[] = $wen_commerce_text_alignment;

if( ! $wen_commerce_title && ! $wen_commerce_description && ! $wen_commerce_subtitle ) {
 	$wen_commerce_classes[] = 'no-section-heading';
}

if( 'hide-content' == $wen_commerce_show_content ) {
	$wen_commerce_classes[] = 'content-hide';
}
?>

<div id="why-choose-us-section" class="<?php echo esc_attr( implode( ' ', $wen_commerce_classes ) ); ?>">
	<div class="wrapper">
		<?php if ( $wen_commerce_subtitle || $wen_commerce_title || $wen_commerce_description ) : ?>
			<div class="section-heading-wrapper">

				<?php if( $wen_commerce_subtitle ) : ?>
					<div class="section-subtitle">
						<?php echo esc_html( $wen_commerce_subtitle ); ?>
					</div>
				<?php endif; ?>

				<?php if ( $wen_commerce_title ) : ?>
					<div class="section-title-wrapper">
						<h2 class="section-title"wen_commerce_><?php echo wp_kses_post( $wen_commerce_title ); ?></h2>
					</div><!-- .page-title-wrapper -->
				<?php endif; ?>

				<?php if ( $wen_commerce_description ) : ?>
					<div class="section-description">
						<p>
							<?php
								echo wp_kses_post( $wen_commerce_description );
							?>
						</p>
					</div><!-- .section-description-wrapper -->
				<?php endif; ?>
			</div><!-- .section-heading-wrapper -->
		<?php endif; ?>

		<div class="section-content-wrapper <?php echo esc_attr( $wen_commerce_layout ); ?>">
			<?php
			if ( 'custom' === $wen_commerce_type ) {
				get_template_part( 'template-parts/why-choose-us/content', 'custom' );
			} else {
				get_template_part( 'template-parts/why-choose-us/post-types', 'why-choose-us' );
			}
			?>
		</div><!-- .section-content-wrapper -->
	</div><!-- .wrapper -->
</div><!-- #why-choose-us-section -->
