<?php
/**
 * The template for displaying why_choose_us items
 *
 * @package WEN_Commerce
 */
?>

<?php
$wen_commerce_number = get_theme_mod( 'wen_commerce_why_choose_us_number', 4 );
$wen_commerce_style 	= get_theme_mod( 'wen_commerce_why_choose_us_style', 'modern-style');

if ( ! $wen_commerce_number ) {
	// If number is 0, then this section is disabled
	return;
}

$wen_commerce_args = array(
	'ignore_sticky_posts' => 1 // ignore sticky posts
);

$wen_commerce_post_list  = array();// list of valid post/page ids

$wen_commerce_no_of_post = 0; // for number of posts

$wen_commerce_type = get_theme_mod( 'wen_commerce_why_choose_us_type', 'category' );

if ( 'post' === $wen_commerce_type || 'page' === $wen_commerce_type  ) {
	$wen_commerce_args['post_type'] = $wen_commerce_type;

	for ( $wen_commerce_i = 1; $wen_commerce_i <= $wen_commerce_number; $wen_commerce_i++ ) {
		$wen_commerce_post_id = '';

		if ( 'post' === $wen_commerce_type ) {
			$wen_commerce_post_id = get_theme_mod( 'wen_commerce_why_choose_us_post_' . $wen_commerce_i );
		} elseif ( 'page' === $wen_commerce_type ) {
			$wen_commerce_post_id = get_theme_mod( 'wen_commerce_why_choose_us_page_' . $wen_commerce_i );
		}

		if ( $wen_commerce_post_id && '' !== $wen_commerce_post_id ) {
			// Polylang Support.
			if ( class_exists( 'Polylang' ) ) {
				$wen_commerce_post_id = pll_get_post( $wen_commerce_post_id, pll_current_language() );
			}

			$wen_commerce_post_list = array_merge( $wen_commerce_post_list, array( $wen_commerce_post_id ) );

			$wen_commerce_no_of_post++;
		}
	}

	$wen_commerce_args['post__in'] = $wen_commerce_post_list;
	$wen_commerce_args['orderby'] = 'post__in';
}
elseif ( 'category' === $wen_commerce_type ) {
	$wen_commerce_no_of_post = $wen_commerce_number;

	if ( get_theme_mod( 'wen_commerce_why_choose_us_select_category' ) ) {
		$wen_commerce_args['category__in'] = (array) get_theme_mod( 'wen_commerce_why_choose_us_select_category' );
	}

	$wen_commerce_args['post_type'] = 'post';
}

if ( 0 === $wen_commerce_no_of_post ) {
	return;
}

$wen_commerce_args['posts_per_page'] = $wen_commerce_no_of_post;
$wen_commerce_loop     = new WP_Query( $wen_commerce_args );

$wen_commerce_show_content    = get_theme_mod( 'wen_commerce_why_choose_us_show', 'excerpt' );

if ( $wen_commerce_loop -> have_posts() ) :
	while ( $wen_commerce_loop -> have_posts() ) :
		$wen_commerce_loop -> the_post();

		$wen_commerce_show_content = get_theme_mod( 'wen_commerce_why_choose_us_show', 'excerpt' );
		?>

		<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
			<div class="hentry-inner">
				<?php if ( has_post_thumbnail() ) : ?>
				<div class="post-thumbnail">
					<img src="<?php the_post_thumbnail_url(); ?>">
				</div>
				<?php endif; ?>
				
				<div class="entry-container">
					<header class="entry-header">
						<?php the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">','</a></h2>' ); ?>
					</header>

					<?php wen_commerce_content_display( $wen_commerce_show_content ); ?>
				</div><!-- .entry-container -->
			</div> <!-- .hentry-inner -->
		</article> <!-- .article -->
	<?php
	endwhile;
	wp_reset_postdata();
endif;
